apiVersion: v1
kind: Service
metadata:
  name: ses-{{ .Values.enterprise.name }}
  namespace: {{ .Values.namespace.name }}
  labels:
    app: ses-{{ .Values.enterprise.name }}
spec:
  ports:
  - name: tomcat-port
    port: 4432
    protocol: TCP
    targetPort: 4432
  clusterIP: None
  selector:
    app: ses-{{ .Values.enterprise.name }}
---
apiVersion: apps/v1
kind: StatefulSet
metadata:
  name: ses-{{ .Values.enterprise.name }}
  namespace: {{ .Values.namespace.name }}
spec:
  serviceName: ses-{{ .Values.enterprise.name }}
  replicas: 1
  selector:
    matchLabels:
      app: ses-{{ .Values.enterprise.name }}
  template:
      metadata:
        creationTimestamp: null
        labels:
          app: ses-{{ .Values.enterprise.name }}
      spec:
        initContainers:
        - name: check-cgw
          image: curlimages/curl
          args:
          - /bin/sh
          - -c
          - >
            set -x;
            while [[ "$(curl -s -o /dev/null -w ''%{http_code}'' http://cgw-{{ .Values.enterprise.name }}:4431)" != "200" ]]; do
              echo '.'
              sleep 15;
            done
        containers:
        - image: us-ashburn-1.ocir.io/siebeldev/siebel:{{ .Values.enterprise.version }}
          imagePullPolicy: IfNotPresent
          name: ses-ss
          env:
          - name: containerMode
            value: SES
          - name: deployment
            value: {{ .Values.enterprise.name }}
          - name: autoDeploy
            value: "true"
          - name: PROFILE
            value: "SESConfig"
          - name: tnsConnectString
            value: SIEBELDB
          - name: dbServerName
            value: oracle12c
          - name: dbPort
            value: "1521"
          - name: dbServiceName
            value: SAMPLE.localdomain
          - name: SAIHOST
            value: sai-{{ .Values.enterprise.name }}-0.sai-{{ .Values.enterprise.name }}
          - name: SAIPORT
            value: "4430"
          - name: POD_NAMESPACE
            valueFrom:
              fieldRef:
                apiVersion: v1
                fieldPath: metadata.namespace
          command: ["bash"]
          args: ["/config/initSiebel"]
          ports:
          - containerPort: 4430
            protocol: TCP
          resources: {}
          terminationMessagePath: /dev/termination-log
          terminationMessagePolicy: File
          volumeMounts:
          - mountPath: /persistent
            name: stateset-pv-{{ .Values.enterprise.name }}
            subPath: ses
          - mountPath: /sfs
            name: stateset-pv-{{ .Values.enterprise.name }}
            subPath: sfs
          # path to mount point in the container and reference name
          - mountPath: /siebel/mde/applicationcontainer_internal/siebelcerts
            name: siebelcerts-{{ .Values.enterprise.name }}
          # path to mount point in the container and reference name
          - mountPath: /config/initSiebel
            name: sesconfig-{{ .Values.enterprise.name }}
            subPath: initSiebel
            # path to mount point in the container and reference name
          - mountPath: /config/extend_sts.sh
            name: sesconfig-{{ .Values.enterprise.name }}
            subPath: extend_sts.sh
        dnsPolicy: ClusterFirst
        hostAliases:
        imagePullSecrets:
        - name: ocirsecret
        restartPolicy: Always
        schedulerName: default-scheduler
        securityContext:
          fsGroup: 1000
          runAsUser: 1000
        terminationGracePeriodSeconds: 30
        volumes:
        - name: stateset-pv-{{ .Values.enterprise.name }}
          persistentVolumeClaim:
            claimName: stateset-pv-{{ .Values.enterprise.name }}
        # which defined volume to mount
        - name: siebelcerts-{{ .Values.enterprise.name }}
          # use a config map
          configMap:
            # which config map to use
            name: siebelcerts-{{ .Values.enterprise.name }}
            # what to pull from the config map
            items:
              # get this key
            - key: siebelkeystore.jks
              # and put it in this filename
              path: siebelkeystore.jks 
        - name: sesconfig-{{ .Values.enterprise.name }}
          # use a config map
          configMap:
            # which config map to use
            name: sesconfig-{{ .Values.enterprise.name }}
            # what to pull from the config map
            items:
              # get this key
            - key: initSiebel
              # and put it in this filename
              path: initSiebel 
              # get this key
            - key: extend_sts.sh
              # and put it in this filename
              path: extend_sts.sh
